/* =========================
   RESET
========================= */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* =========================
   BODY
========================= */

body {
  font-family: 'Poppins', sans-serif;

  background: #f8efea;
  color: #192f01;

  display: flex;
}

/* =========================
   SIDEBAR
========================= */

.sidebar {

  width: 260px;
  height: 100vh;

  background: #ded369;

  position: fixed;
  top: 0;
  left: 0;

 display: flex;
    flex-direction: column;
    align-items: center;         
    justify-content: center;     
    gap: 50px;                   
    padding: 40px 20px;
}


/* =========================
   LOGO
========================= */

.logo-container {
  width: 180px;
}

.logo {
  width: 100%;
  display: block;
}

/* =========================
   NAVIGATION
========================= */

.navigation {

  display: flex;
  flex-direction: column;
  gap: 20px;

  text-align: center;
  font-family: "Belanosima", sans-serif;
  font-weight: 400;
}

.navigation a,
.filter-btn {

  background: none;
  border: none;

  text-decoration: none;

  color: #f8efea;

  font-family: "Belanosima", sans-serif;
  font-size: 2rem;
  font-weight: 400;

  cursor: pointer;

  transition: 0.3s ease;
}

/* HOVER */

.filter-btn:hover,
.navigation a:hover {

  color: #e0475b;
}

/* ACTIVE FILTER */

.filter-btn.active {

  color: #e0475b;
}

/* =========================
   SOCIALS
========================= */

.socials {

  display: flex;
  gap: 20px;
}

.socials a {

  text-decoration: none;

  color: #f8efea;

  font-weight: 600;

  transition: 0.3s ease;
}

.socials a:hover {

  color: #e0475b;
}

/* =========================
   MAIN CONTENT
========================= */

.main-content {

  margin-left: 260px;

  width: calc(100% - 260px);
  min-height: 100vh;

  background: #f8efea;

  padding: 40px;
}

/* =========================
   GALLERY GRID
========================= */

.gallery {

  display: grid;

  grid-template-columns:
    repeat(auto-fit, minmax(300px, 1fr));

  gap: 20px;
}

/* =========================
   GALLERY ITEM
========================= */

.gallery-item {

  position: relative;

  overflow: hidden;

  text-decoration: none;

  aspect-ratio: 1 / 1;

  background: #ddd;
}

/* IMAGE */

.gallery-item img {

  width: 100%;
  height: 100%;

  object-fit: cover;

  display: block;

  transition: transform 0.4s ease;
}

/* IMAGE ZOOM */

.gallery-item:hover img {

  transform: scale(1.05);
}

/* =========================
   OVERLAY
========================= */

.overlay {

  position: absolute;
  inset: 0;

  background: rgba(224, 71, 91, 0.85);

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  text-align: center;

  padding: 20px;

  opacity: 0;

  transition: opacity 0.3s ease;
}

/* SHOW OVERLAY */

.gallery-item:hover .overlay {

  opacity: 1;
}

/* OVERLAY TITLE */

.overlay h2 {

  color: #ded369;

  font-size: 2rem;

  margin-bottom: 10px;
}

/* OVERLAY DESCRIPTION */

.overlay p {

  color: #f8efea;

  font-size: 1rem;
}

/* =========================
   RESPONSIVE
========================= */

@media (max-width: 900px) {

  body {

    flex-direction: column;
  }

  .sidebar {

    position: relative;

    width: 100%;
    height: auto;
  }

  .main-content {

    margin-left: 0;
    width: 100%;
  }

  .navigation {

    margin: 30px 0;
  }

}

/* =========================
   Back Button
========================= */
.back-button {

  display: inline-block;

  margin-bottom: 30px;

  color: #e0475b;

  text-decoration: none;

  font-family: "Belanosima", sans-serif;

  font-size: 1.5rem;

  transition: 0.3s ease;
}

.back-button:hover {

  color: #192f01;
}

/* =========================
   PROJECT PAGE
========================= */

.project-content {

  margin-left: 260px;

  width: calc(100% - 260px);

  min-height: 100vh;

  padding: 40px;

  background: #f8efea;
}
/* =========================
   PROJECT PAGE FONT
========================= */
.project-content h1 {

  font-family: "Belanosima", sans-serif;
  color: #e0475b;
  margin-bottom: 20px;
}

.project-content h2 {

  font-family: "Belanosima", sans-serif;
  color: #e0475b;
  margin: 40px 0 20px;
}

.project-content p {

  max-width: 800px;

  line-height: 1.7;

  margin-bottom: 30px;
}